Bug 453739 - (CVE-2008-2956) CVE-2008-2956 pidgin: memory leak in XML parser
CVE-2008-2956 pidgin: memory leak in XML parser
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=upstream,reported=20080618,pub...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-02 05:34 EDT by Tomas Hoger
Modified: 2016-03-04 06:26 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 16:27:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-07-02 05:34:30 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-2956 to the following vulnerability:

Memory leak in Pidgin 2.0.0, and possibly other versions, allows
remote attackers to cause a denial of service (memory consumption) via
malformed XML documents.

Proposed patch in CRISP Advisory 2007-01:
http://crisp.cs.du.edu/crisp-files/pidgin-2.0.0-xmlnode-pool-leak.diff

References:
http://crisp.cs.du.edu/?q=ca2007-1
http://www.securityfocus.com/bid/29985
http://www.openwall.com/lists/oss-security/2008/06/27/3
Comment 2 Vincent Danen 2010-12-23 16:27:00 EST
Upstream disputes this as being a flaw:

http://developer.pidgin.im/ticket/11470

Accordingly, it has not been fixed upstream.

Note You need to log in before you can comment on or make changes to this bug.